Subject: Bug#3385: xosview binary location bug

From: Ian Jackson <[email-masked]>
Date: Tue, 9 Jul 96 23:24 BST

Since the maintainer, joost witteveen <[email-masked]>,
doesn't seem to be responsive to this serious problem, I have taken it
upon myself to issue an interim release - see below.

There is still work to be done to fix this bug - in particular, the
postinst should check to see whether the binary exists and fail if it
doesn't, with a helpful message saying the user must reinstall.  The
default action for dselect will then be to reinstall it.

While I was at it I removed the hardcoded i386 architecture =:-O.

Ian.

From: [email-masked] (Ian Jackson)
To: debian-changes
Subject: xosview 1.3.2-4.1: partial fix to wrong dir bug
Date: Tue, 9 Jul 1996 23:19:30 +0100
FCC: ~/mail/Outbound
--text follows this line--
Previous versions of this package tried to install the binary in
/usr/bin/X11 (which is a symlink), rather than /usr/X386/bin (the real
directory).  This could cause many terrible problems, including in
some obscure circumstances a partial failure to install the other X
packages correctly !

One of the problems caused is that after upgrading to a fixed version
you'll not have an xosview binary at all !  You must install this
version *twice* if you're upgrading from any earlier one !

NB: I'm not the usual maintainer of this package.

-----BEGIN PGP SIGNED MESSAGE-----

Date: 09 Jul 96 22:15 UT
Format: 1.5
Distribution: unstable buzz-updates
Priority: Low
Maintainer: Ian Jackson <[email-masked]>
Source: xosview
Version: 1.3.2-4.1
Binary:  xosview
Architecture: i386 source
Description: 
 xosview: Fun to watch CPU/network usage programme
Changes: no changes info provided
Files:
 c3f45968819fa63b42ecba989ed45be4  188043  x11  extra  xosview-1.3.2-4.1.tar.gz
 ebfd08ee413c212abaee80106d60414b  2680  x11  extra  xosview-1.3.2-4.1.diff.gz
 152d4610dc55c3596be194a192522da2  22164  x11  extra  xosview-1.3.2-4.1.i386.deb